Supported Formats

application/json

Path Parameters

integration_id
string
required

The ID of the integration

  • Must be a String

flow_id
string
required

The ID of the flow

  • Must be a String

id
string
required

The ID of the offer

  • Must be a String

Returns

Response - Offer shown

Code - application/json
api_version
string
required

The API version

  • Must be a String

data
array
required

This will return up to two main items. The first item will be the offer and the second item will be the event. The offer is made up of segments and each segment may contain children.

[
  {
    "type": "event",
    "id": "...",
    "children": [
      {
        "type":"text"
      },
      {
        "type":"view",
        "children": [{"type":"text"}]
      }
    ]
  },
  {
    "type": "event"
  }
]

Possible segment types are:

  • Must be an array of any type

links
array
required
  • Must be an Array of nested elements